import 'package:flutter/material.dart';
import 'package:lottie/lottie.dart';

class SharedComponentLoadingAnimation extends StatefulWidget {
  const SharedComponentLoadingAnimation({super.key});

  @override
  State<SharedComponentLoadingAnimation> createState() => _SharedComponentLoadingAnimationState();
}

class _SharedComponentLoadingAnimationState extends State<SharedComponentLoadingAnimation> {
  @override
  Widget build(BuildContext context) {
    return Center(
      child: LottieBuilder.asset(
        'assets/animations/component_loading.json',
        width: 80,
        height: 80,
        fit: BoxFit.fill,
      ),
    );
  }
}
